use nxui::messagebox::MessageBox;
use nxui::natives_and_messaging::*;
use nxui::window::Frame;

fn main() {
    nxui::initialize();
    match MessageBox::new("Hello NXUI!", "This is a test", DS_INFORMATION, BS_YESNO)
        .show(Frame::default())
    {
        DR_YES => {
            MessageBox::new(
                "Yes has been clicked",
                "Yes has been clicked.",
                DS_INFORMATION,
                BS_YESNO,
            )
            .show(Frame::default());
        }

        DR_NO => {
            MessageBox::new(
                "No has been clicked",
                "No has been clicked.",
                DS_INFORMATION,
                BS_YESNO,
            )
            .show(Frame::default());
        }

        _ => {}
    }
}
